- Qt 6.4
- Qt SCXML
- C++ Classes
- ForeachInfo
- Qt 6.4.2 Reference Documentation

# ForeachInfo Struct

struct QScxmlExecutableContent::ForeachInfo

The ForeachInfo class represents a foreach construct. More...

Header: | #include <ForeachInfo>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Scxml) target_link_libraries(mytarget PRIVATE Qt6::Scxml)
qmake: | QT += scxml
Since: | Qt 5.8

- List of all members, including inherited members

## Public Variables

QScxmlExecutableContent::StringId | array
QScxmlExecutableContent::StringId | context
QScxmlExecutableContent::StringId | index
QScxmlExecutableContent::StringId | item

## Detailed Description

## Member Variable Documentation

### QScxmlExecutableContent::StringId ForeachInfo::array

This variable holds the name of the array that is iterated over

### QScxmlExecutableContent::StringId ForeachInfo::context

This variable holds the context for evaluating the expression

### QScxmlExecutableContent::StringId ForeachInfo::index

This variable holds the name of the index variable

### QScxmlExecutableContent::StringId ForeachInfo::item

This variable holds the name of the iteration variable